Package org.eclipse.graphiti.ui.editor

## Class DiagramEditorInputFactory

- java.lang.Object
- - org.eclipse.graphiti.ui.editor.DiagramEditorInputFactory

All Implemented Interfaces:
  `org.eclipse.ui.IElementFactory`

    public class DiagramEditorInputFactory
    extends java.lang.Object
    implements org.eclipse.ui.IElementFactory

The Class DiagramEditorFactory. A factory for creating DiagramEditorInput objects.

Since:
  0.9 results from renaming DiagramEditorFactory

### Constructor Summary

Constructors
`DiagramEditorInputFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.core.runtime.IAdaptable` `createElement​(org.eclipse.ui.IMemento memento)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiagramEditorInputFactory

    public DiagramEditorInputFactory()

### Method Detail

#### createElement

    public org.eclipse.core.runtime.IAdaptable createElement​(org.eclipse.ui.IMemento memento)

Specified by:
  `createElement` in interface `org.eclipse.ui.IElementFactory`